set procedure to defox_proc
set talk off
set deleted on
set date to german
set century on
set safety off
local m.lnErr, m.lnErr1, m.lnOtv, m.lcTxt, m.lcRegKey, m.ldExpDate

m.lcRegKey=""
m.lnErr=CheckRegistered(@m.lcRegKey)

if m.lnErr=0 or between(m.lnErr, 1000, 9999)
	do form mainform with date(2099,1,1), m.lcRegKey
else
	if between(m.lnErr,20,39)
		m.lnOtv=messagebox("Can't read application registry information."+chr(13)+ ;
			"The reasons may be: application runs for the first time or"+chr(13)+ ;
			"registry information is corrupted. Choose 'Yes' if you want"+chr(13)+ ;
			"write (rewrite) application registry information, and choose"+chr(13)+ ;
			"'No' if you want to cancel application. Do you want to continue?", ;
			36, "Registry information")
		if m.lnOtv=7
			return
		endif
		
		m.lnErr1=SetRegistryInfo(date()+15)
		if m.lnErr1>0
			messagebox("Registry information for application can't be set."+chr(13)+ ;
				"Error N"+allt(str(m.lnErr1))+chr(13)+ ;
				"Application will be terminated", 16, "Error")
			return
		endif

		m.lnErr1=GetRegistryInfo(@m.lcTxt)
		if m.lnErr1>0
			messagebox("Registry information for application can't be read."+chr(13)+ ;
				"Application will be terminated", 16, "Error")
			return
		endif

	endif

	m.lnErr=CheckExpired(@m.ldExpDate)

	if m.lnErr=43
		messagebox("Sorry, application has expired."+chr(13)+ ;
			"Application will be terminated", 16, "Error")
		return
	endif

	if m.lnErr>0
		messagebox("Registry information for application is corrupted."+chr(13)+ ;
			"Application will be terminated", 16, "Error")
		return
	endif

	do form mainform with m.ldExpDate, ""

endif


read events

release procedure defox_proc
